[arch-commits] Commit in xfprint/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 11:56:06 EDT 2008


    Date: Sunday, July 20, 2008 @ 11:56:06
  Author: jgc
Revision: 5732

Merged revisions 4592-5731 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xfprint/trunk

........
  r5632 | jgc | 2008-07-19 00:10:24 +0000 (Sat, 19 Jul 2008) | 2 lines
  
  upgpkg: xfprint 4.4.2-3
      Remove update-desktop-database calls
........

Modified:
  xfprint/repos/extra-i686/	(properties)
  xfprint/repos/extra-i686/PKGBUILD
  xfprint/repos/extra-i686/xfprint.install

-----------------+
 PKGBUILD        |    6 +++---
 xfprint.install |    7 -------
 2 files changed, 3 insertions(+), 10 deletions(-)


Property changes on: xfprint/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xfprint/trunk:1-4591
   + /xfprint/trunk:1-5731

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 14:04:15 UTC (rev 5731)
+++ extra-i686/PKGBUILD	2008-07-20 15:56:06 UTC (rev 5732)
@@ -3,7 +3,7 @@
 
 pkgname=xfprint
 pkgver=4.4.2
-pkgrel=2
+pkgrel=3
 pkgdesc="A print dialog and a printer manager for Xfce"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -19,7 +19,7 @@
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
-    --localstatedir=/var --disable-static
+    --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }

Modified: extra-i686/xfprint.install
===================================================================
--- extra-i686/xfprint.install	2008-07-20 14:04:15 UTC (rev 5731)
+++ extra-i686/xfprint.install	2008-07-20 15:56:06 UTC (rev 5732)
@@ -1,5 +1,4 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -8,11 +7,5 @@
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list